Perform External Validation

Perform External Validation
Perform external validations for a form (for the UI)

Perform external validations for a form (for the UI)

Request
URI
POST
https://{api_host}/catalog/api/items/form/external-validation
COPY
Query Parameters
string
projectId
Optional

The projectId of the project chosen for the request.

string
sourceId
Optional

sourceId


Request Body
ExternalValidationContext of type(s) application/json
Required
{
    "context": {
        "context": {
            "dataType": "string",
            "value": "string"
        }
    },
    "externalValidations": [
        {
            "label": "string",
            "source": {
                "externalSourceProviderType": "string",
                "id": "string",
                "isPageable": false,
                "parameters": [
                    {
                        "$type": {
                            "dataType": "string",
                            "fields": [
                                {
                                    "constraints": {
                                        "constraints": {
                                            "constraints": {}
                                        },
                                        "matchConstraint": {
                                            "match": {}
                                        }
                                    },
                                    "default": {},
                                    "description": "string",
                                    "id": "string",
                                    "label": "string",
                                    "placeholder": "string",
                                    "refresh": {
                                        "type": "string"
                                    },
                                    "shortValueName": [
                                        "string"
                                    ],
                                    "signpost": "string",
                                    "step": "number",
                                    "type": "FormSchemaFieldType Object",
                                    "valueList": {},
                                    "valueTree": {}
                                }
                            ],
                            "isMultiple": false,
                            "referenceType": "string"
                        },
                        "parameterMap": {
                            "parameterMap": {}
                        }
                    }
                ],
                "type": "string"
            },
            "target": [
                "string"
            ]
        }
    ]
}
object
context
Optional

context

array of object
externalValidations
Optional

externalValidations

Authentication
This operation uses the following authentication methods.
Responses
200

'Success' with list of validation messages

[
    {
        "fieldId": "string",
        "message": "string",
        "severity": "string",
        "validationType": "string"
    }
]
array of object
Optional

400

'Bad Request' if the external validation context body is not in specified format

[
    {
        "fieldId": "string",
        "message": "string",
        "severity": "string",
        "validationType": "string"
    }
]
array of object
Optional

401

Unauthorized

[
    "FormValidationMessage Object"
]
Optional

403

'Forbidden' no forms manage access rights

[
    "FormValidationMessage Object"
]
Optional

404

Not Found

[
    "FormValidationMessage Object"
]
Optional

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/catalog/api/items/form/external-validation